# Class NTSystem

java.lang.Object
com.sun.security.auth.module.NTSystem

public class NTSystem extends Object
This class implementation retrieves and makes available NT security information for the current user.

Since:
  1.4

## Constructor Summary

Constructors
Constructor
Description
`NTSystem()`
Instantiate an `NTSystem` and load the native library to access the underlying system information.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDomain()`
Get the domain for the current NT user.
`String`
`getDomainSID()`
Get a printable SID for the current NT user's domain.
`String[]`
`getGroupIDs()`
Get the printable group SIDs for the current NT user.
`long`
`getImpersonationToken()`
Get an impersonation token for the current NT user.
`String`
`getName()`
Get the username for the current NT user.
`String`
`getPrimaryGroupID()`
Get a printable primary group SID for the current NT user.
`String`
`getUserSID()`
Get a printable SID for the current NT user.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### NTSystem

public NTSystem()
Instantiate an `NTSystem` and load the native library to access the underlying system information.

## Method Details

### getName

public String getName()
Get the username for the current NT user.

Returns:
  the username for the current NT user.

### getDomain

public String getDomain()
Get the domain for the current NT user.

Returns:
  the domain for the current NT user.

### getDomainSID

public String getDomainSID()
Get a printable SID for the current NT user's domain.

Returns:
  a printable SID for the current NT user's domain.

### getUserSID

public String getUserSID()
Get a printable SID for the current NT user.

Returns:
  a printable SID for the current NT user.

### getPrimaryGroupID

public String getPrimaryGroupID()
Get a printable primary group SID for the current NT user.

Returns:
  the primary group SID for the current NT user.

### getGroupIDs

public String[] getGroupIDs()
Get the printable group SIDs for the current NT user.

Returns:
  the group SIDs for the current NT user.

### getImpersonationToken

public long getImpersonationToken()
Get an impersonation token for the current NT user.

Returns:
  an impersonation token for the current NT user.